## @rxap/authentication

### Index

### Enumerations

AuthenticationEventType

### Classes

AuthenticationRoutingService
DisabledAuthenticationService
RegisterService
RxapAuthenticationGuard
RxapAuthenticationService
SignOutDirective

### Interfaces

AuthenticationAccessToken
AuthenticationEvent
IAuthenticationService

### Variables

RXAP_AUTHENTICATION_ACCESS_TOKEN
RXAP_AUTHENTICATION_DEACTIVATED
RXAP_INITIAL_AUTHENTICATION_STATE

### Functions

BearerTokenInterceptor
provideAuthentication
withDisabledAuthentication
withInitialAuthenticationState